Xfce Forum

Sub domains

You are not logged in.

#1 2007-03-22 10:25:34

Registered: 2007-03-22
Posts: 1

xfce4.4.0 on FreeBSD 6.2

Hi all,
I installed xfce4.4.0 two days ago.
There is NO compositor option in the window manager tweaks.
I see transparency need a newer version of X.org.
The version of X.org on FreeBSD is 6.9.
Is it not a  NEWER X.org version????

Thanks in advance


#2 2007-03-31 17:18:22

Registered: 2007-03-31
Posts: 2

Re: xfce4.4.0 on FreeBSD 6.2


I'm assuming you installed xfce-4.4.0 as a package using pkg_add. In that case the compositor
will be enabled by default. If you installed by compiling xfce-4 from the ports (i.e. /usr/ports/x11-wm/xfce-4/)
then you should have checked the "Support the experimental X11 Composite extension" during the

If you have done all this, then you have to make sure that the "Composite" module extension is loaded by the
X server on startup. In order to do this, you have to add a new section to your /etc/X11/xorg.conf configuration
file, as follows:

Section "Extensions"
   Option "Composite" "Enable"

Once you have edited the xorg.conf file you have to restart X. After restarting you can check that the
"Composite" extension has been loaded by running:

# xdpyinfo | grep Composite

at the shell, EXACTLY as shown above.

That should enable the compositing option in XFCE.


Board footer

Powered by FluxBB